//
//  CalculatorController.h
//  HP41
//
//  Created by greg on Wed Aug 13 2003.
//  Copyright (c) 2003 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

@class CPU;
@class Bus;
@class Keyboard;
@class Display;
@class DebugController;

@interface CalculatorController : NSObject {
    IBOutlet CPU *cpu;
    IBOutlet Bus *bus;
    IBOutlet Keyboard *keyboard;
    IBOutlet Display *display;
    IBOutlet NSWindow *calculatorWindow;
    IBOutlet NSWindow *registerWindow;
    IBOutlet DebugController *debugController;
    NSTimer *executionTimer;
    NSMutableDictionary *docViewers;
}

- (void) timeSlice: (NSTimer *) timer;
- (BOOL) validateMenuItem: (id) item;
- (IBAction) showRegistersCmd: (id) item;
- (IBAction) showCalculatorManualCmd: (id) item;

@end
