//
//  DigitsDisplay.m
//  HP41
//
//  Created by greg on Wed Aug 13 2003.
//  Copyright (c) 2003 __MyCompanyName__. All rights reserved.
//

#import "DigitsDisplay.h"
#import "DataOperations.h"

@implementation DigitsDisplay

- (void) attachTo: (Digit *) reg digits: (int) n {
    self->digits = reg;
    self->numDigits = n;
}

- (int) numColumns {
    return self->numDigits;
}

//- (Digit) getDigit: (int) index ofLine: (int) line {
//    return self->digits[index];
//}

- (BOOL) getDigitsForLine: (int) line into: (Digits_14) data {
    CopyDigits(self->digits, data, self->numDigits);
    return YES;
}

- (void) setDigit: (int) index ofLine: (int) line to: (int) value {
    self->digits[index] = value;
}

@end
