//
//  PDFView.m
//  HP41
//
//  Created by greg on Sun Aug 24 2003.
//  Copyright (c) 2003 __MyCompanyName__. All rights reserved.
//

#import "PDFView.h"
#import "PageTabView.h"
#import "DocViewerController.h"

@implementation PDFView

- (enum LeftOrRight) whichSide {
    return self->whichSide;
}

- (void) setWhichSide: (enum LeftOrRight) which {
    self->whichSide = which;
}

- (void) drawRect: (NSRect) rect {
    NSPDFImageRep *pdf = [self->controller pdf];
    int pageNum = [self->controller pageNumberForPageView: self];
    //int pageNum = [self->controller currentPageForSide: self->whichSide];
    if (pageNum >= 0 && pageNum < [pdf pageCount]) {
        //[[NSGraphicsContext currentContext] setImageInterpolation: NSImageInterpolationHigh];
        [[NSGraphicsContext currentContext] setImageInterpolation: 
            [self->controller imageInterpolationPreference]];
        [pdf setCurrentPage: pageNum];
        [pdf drawInRect: [self bounds]];
    }
}
    
- (void) mouseDown: (NSEvent *) event {
    NSPoint p = [self convertPoint: [event locationInWindow] fromView: nil];
    [self->controller pageViewClicked: self atPoint: p];
}

@end
