/* Rocker */

#import <Cocoa/Cocoa.h>

@class Keyboard;

enum RockerState {
    rocker_centre = 0,
    rocker_left = 1,
    rocker_right = 2
};

struct RockerDescriptor {
    NSString *imageNames[2];
    int keyCodes[2];
};

@interface Rocker : NSView
{
    IBOutlet Keyboard *keyboard;
    NSImage *images[2];
    int *keyCodes;
    enum RockerState state;
}

- (void) setUpFromDescriptor: (struct RockerDescriptor *) desc;
- (void) showFeedback: (BOOL) down forCode: (int) code;

@end
